<?php
namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Symfony\Component\HttpFoundation\Response;

class GuestRedirect
{
    /**
     * Handle an incoming request.
     *
     * @param  \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response)  $next
     */
    public function handle(Request $request, Closure $next): Response
    {
        if (!Auth::guard('member')->check() && $request->path() == '/') {

            return redirect()->route('login');

        } else if ($request->path() == '/' && Auth::guard('member')->check()) {
            return redirect()->route('member.index');

        }

        return $next($request);
    }
}
